package com.qmth.ops.api.controller.open;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.core.solar.model.AppInfo;
import com.qmth.boot.tools.signature.SignatureType;
import com.qmth.ops.api.constants.OpsApiConstants;
import com.qmth.ops.api.security.AccessDeploy;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(OpsApiConstants.OPEN_URI_PREFIX)
@Aac(auth = BOOL.TRUE, signType = SignatureType.SECRET)
public class OpenAppDeployController {

    @PostMapping("/app/info")
    @Aac(auth = BOOL.FALSE)
    public AppInfo getAppDeployInfo(@RequestAttribute AccessDeploy accessDeploy) {
        AppInfo info = new AppInfo();
        info.setId(accessDeploy.getDeploy().getId());
        info.setName(accessDeploy.getDeploy().getName());
        if (accessDeploy.getDeploy().getControl() != null) {
            info.setControl(accessDeploy.getDeploy().getControl());
        }
        return info;
    }
}
